# pulp_file-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 0.1.0b2.dev01566758415
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulp_file 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulp_file
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import pulpcore.client.pulp_file
from pulpcore.client.pulp_file.rest import ApiException
from pprint import pprint

configuration = pulpcore.client.pulp_file.Configuration()
# Configure HTTP basic authorization: Basic
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# Defining host is optional and default to http://localhost:24817
configuration.host = "http://localhost:24817"
# Create an instance of the API class
api_instance = pulpcore.client.pulp_file.ContentFilesApi(pulpcore.client.pulp_file.ApiClient(configuration))
data = pulpcore.client.pulp_file.FileContent() # FileContent | 

try:
    # Create a file content
    api_response = api_instance.create(data)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContentFilesApi->create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ContentFilesApi* | [**create**](docs/ContentFilesApi.md#create) | **POST** /pulp/api/v3/content/file/files/ | Create a file content
*ContentFilesApi* | [**list**](docs/ContentFilesApi.md#list) | **GET** /pulp/api/v3/content/file/files/ | List file contents
*ContentFilesApi* | [**read**](docs/ContentFilesApi.md#read) | **GET** {file_content_href} | Inspect a file content
*DistributionsFileApi* | [**create**](docs/DistributionsFileApi.md#create) | **POST** /pulp/api/v3/distributions/file/file/ | Create a file distribution
*DistributionsFileApi* | [**delete**](docs/DistributionsFileApi.md#delete) | **DELETE** {file_distribution_href} | Delete a file distribution
*DistributionsFileApi* | [**list**](docs/DistributionsFileApi.md#list) | **GET** /pulp/api/v3/distributions/file/file/ | List file distributions
*DistributionsFileApi* | [**partial_update**](docs/DistributionsFileApi.md#partial_update) | **PATCH** {file_distribution_href} | Partially update a file distribution
*DistributionsFileApi* | [**read**](docs/DistributionsFileApi.md#read) | **GET** {file_distribution_href} | Inspect a file distribution
*DistributionsFileApi* | [**update**](docs/DistributionsFileApi.md#update) | **PUT** {file_distribution_href} | Update a file distribution
*PublicationsFileApi* | [**create**](docs/PublicationsFileApi.md#create) | **POST** /pulp/api/v3/publications/file/file/ | Create a file publication
*PublicationsFileApi* | [**delete**](docs/PublicationsFileApi.md#delete) | **DELETE** {file_publication_href} | Delete a file publication
*PublicationsFileApi* | [**list**](docs/PublicationsFileApi.md#list) | **GET** /pulp/api/v3/publications/file/file/ | List file publications
*PublicationsFileApi* | [**read**](docs/PublicationsFileApi.md#read) | **GET** {file_publication_href} | Inspect a file publication
*RemotesFileApi* | [**create**](docs/RemotesFileApi.md#create) | **POST** /pulp/api/v3/remotes/file/file/ | Create a file remote
*RemotesFileApi* | [**delete**](docs/RemotesFileApi.md#delete) | **DELETE** {file_remote_href} | Delete a file remote
*RemotesFileApi* | [**list**](docs/RemotesFileApi.md#list) | **GET** /pulp/api/v3/remotes/file/file/ | List file remotes
*RemotesFileApi* | [**partial_update**](docs/RemotesFileApi.md#partial_update) | **PATCH** {file_remote_href} | Partially update a file remote
*RemotesFileApi* | [**read**](docs/RemotesFileApi.md#read) | **GET** {file_remote_href} | Inspect a file remote
*RemotesFileApi* | [**sync**](docs/RemotesFileApi.md#sync) | **POST** {file_remote_href}sync/ | 
*RemotesFileApi* | [**update**](docs/RemotesFileApi.md#update) | **PUT** {file_remote_href} | Update a file remote


## Documentation For Models

 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [FileContent](docs/FileContent.md)
 - [FileDistribution](docs/FileDistribution.md)
 - [FilePublication](docs/FilePublication.md)
 - [FileRemote](docs/FileRemote.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [RepositorySyncURL](docs/RepositorySyncURL.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author




